'use strict';
var eslisp = require('eslisp');
var transformify = require('transformify');
var eslispRe = /\.esl$/i;
function identity(source) {
    return source;
}
function eslispify(file, options) {
    return !eslispRe.test(file) ? transformify(identity)(file) : transformify(function (source) {
        return eslisp(source, options);
    })(file);
}
module.exports = eslispify;
